FX Connect enables you to execute cross-border payments without integrating the Payment Initiation Service (PIS), operating seamlessly on top of your own existing bank integrations. With FX Connect, you can provide your users with real-time, transparent institutional FX rates for spot and forward transactions, together with automated cross-border settlement — while continuing to use your platform's own bank connections to initiate payments.
Create FX Quote
Requests an FX Quote for cross-border payments.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Create FX Quote › Request Body
sourceCurrencyThe source currency.
targetCurrencyThe target currency.
countryCodeThe target country.
amountThe requested amount in target currency.
requestedExecutionDateThe requested execution date, for future payments.
Create FX Quote › Responses
Created
fxQuoteIdResource identification of the generated FX quote.
fxRateRate of the generated FX quote.
feeFee of the generated FX quote.
totalAmountTotal amount of the generated FX quote.
validFromThe FX quote is valid from this date.
validToThe FX quote is valid to this date.
Get FX Quote
Get an existing FX Quote.
path Parameters
fxQuoteIdResource identification of the FX Quote.
Resource identification of the generated FX quote.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get FX Quote › Responses
OK
fxQuoteIdResource identification of the generated FX quote.
fxRateRate of the generated FX quote.
feeFee of the generated FX quote.
validFromThe FX quote is valid from this date.
validToThe FX quote is valid to this date.
Confirm Cross-Border Payment
Confirm intent to initiate a cross-border payment with an FX Quote.
path Parameters
fxQuoteIdResource identification of the FX Quote.
Resource identification of the generated FX quote.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
Confirm Cross-Border Payment › Request Body
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or,
- Bankgiro/Plusgiro for corporate Swedish accounts, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
creditorAgent[A-Z]{6,6}[A-Z2-9][A… · requiredBICFI
creditorAgentNameCreditor Agent Name
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
remittanceInformationUnstructuredUnstructured remittance information
debtorAccountMessageMessage for the debtor
endToEndIdentificationpurposeCodeExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.
Additional regulatory reporting information, if applicable.
Confirm Cross-Border Payment › Responses
OK
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$Creditor Name
creditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorAddress[A-Z]{2}ISO 3166 ALPHA2 country code
remittanceInformationUnstructuredUnstructured remittance information
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

